assetmgrmodel::AssetStripLogger_1_0_6::Record Struct Reference

Log record structure. More...

`import"AssetStripLogger.idl";`

## Public Attributes

time | timestamp
| Time of log entry creation.
RecordType | type
| Entry type.
int | assetStripNumber
| Asset strip number (0-based), -1 if unknown.
int | rackUnitNumber
| Rack unit number (0-based), -1 if unknown.
int | rackUnitPosition
| Rack unit position, -1 if unknown.
int | slotNumber
| Blade extension slot number, -1 if unknown, 0 is main strip, >0 is blade.
string | tagId
| The ID of the asset management tag, empty if unknown.
string | parentBladeId
| ID of the parent blade extension tag in case slotNumber>0, empty otherwise.
AssetStrip_2_0_5::State | state
| Asset strip state.

## Detailed Description

Log record structure.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AssetStripLogger.idl